Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class Schema

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.schema.Schema

public class Schema
extends Object

Version:
  `$Revision: 1.6 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`class` | `Schema.Views`

Constructor Summary
`Schema()`

Method Summary
`EntityTable` | `createEntityTable(JDBCEntityMetaData metadata, JDBCEntityBridge2 entity)`
`RelationTable` | `createRelationTable(JDBCCMRFieldBridge2 leftField, JDBCCMRFieldBridge2 rightField)`
`void` | `flush()`
`Table.View` | `getView(EntityTable table)`
`Table.View` | `getView(RelationTable table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schema

    public Schema()

Method Detail

### createEntityTable

    public EntityTable createEntityTable(JDBCEntityMetaData metadata,
                                         JDBCEntityBridge2 entity)
                                  throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createRelationTable

    public RelationTable createRelationTable(JDBCCMRFieldBridge2 leftField,
                                             JDBCCMRFieldBridge2 rightField)
                                      throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getView

    public Table.View getView(EntityTable table)

### getView

    public Table.View getView(RelationTable table)

### flush

    public void flush()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.